/*===========================================================
*	IWGrid.inc
*	IWGrid Include File
*	Copyright (c)T.L. McCaughn 2013 
*============================================================*/
	$USE "IWGrid.lib"	
	DECLARE EXTERN IWG_Create(WINDOW win, string caption, INT l, INT t, INT w, INT h, UINT id)
	DECLARE EXTERN IWG_GetCellDat(WINDOW win, UINT id, INT r, INT c),string
	DECLARE EXTERN IWG_GetCellDecPlaces(WINDOW win,  UINT id, INT r, INT c),int
	DECLARE EXTERN IWG_GetCellNegParenth(WINDOW win,  UINT id, INT r, INT c),int
	DECLARE EXTERN IWG_GetCellNoSymbol(WINDOW win,  UINT id, INT r, INT c),int
	DECLARE EXTERN IWG_GetCellRoundDec(WINDOW win,  UINT id, INT r, INT c),int
	DECLARE EXTERN IWG_GetDim(WINDOW win, UINT id, INT r byref, INT c byref)
	DECLARE EXTERN IWG_GetSymbol(WINDOW win,  UINT id, INT r, INT c),string
	DECLARE EXTERN IWG_InitCellDat(WINDOW win, UINT id, INT r, INT c, string text, opt int celltype=1, opt int flags=0)
	DECLARE EXTERN IWG_SetAllRowH(WINDOW win, UINT id, INT h)
	DECLARE EXTERN IWG_SetCellCombo(WINDOW win,  UINT id, INT r, INT c, pointer dat)
	DECLARE EXTERN IWG_SetCellDat(WINDOW win, UINT id, INT r, INT c, string dat)
	DECLARE EXTERN IWG_SetCellDecPlaces(WINDOW win,  UINT id, INT r, INT c, int dp)
	DECLARE EXTERN IWG_SetCellNegParenth(WINDOW win,  UINT id, INT r, INT c, int pr)
	DECLARE EXTERN IWG_SetCellNoSymbol(WINDOW win,  UINT id, INT r, INT c, int nosym)
	DECLARE EXTERN IWG_SetCellProt(WINDOW win, UINT id, INT r, INT c, int p)
	DECLARE EXTERN IWG_SetCellRoundDec(WINDOW win,  UINT id, INT r, INT c, int round)
	DECLARE EXTERN IWG_SetCellSub(WINDOW win,  UINT id, INT r, INT c, pointer dat)
	DECLARE EXTERN IWG_SetColW(WINDOW win, UINT id, int c, INT w)
	DECLARE EXTERN IWG_SetDim(WINDOW win, UINT id, INT r, INT c)
	DECLARE EXTERN IWG_SetGridProt(WINDOW win,  UINT id, int p)
	DECLARE EXTERN IWG_SetSymbol(WINDOW win,  UINT id, INT r, INT c, string sym)

	setid "IWG_PROTECTCELL",	0x1		'Left align text in cell
	setid "IWG_LEFTALIGN",		0x0		'Left align text in cell
	setid "IWG_RIGHTALIGN",		0x2		'Right align text in cell
	setid "IWG_CENTERALIGN",	0x4		'Center text in cell
	setid "IWG_CASE_ANY",		0x0		'Case as typed
	setid "IWG_CASE_UPPER",		0x8		'Force Upper case
	setid "IWG_CASE_LOWER",		0x10		'Force Lower case
	setid "IWGANY" , 				1    	 'Any
	setid "IWGTXTNUM" , 			2    	 'Alpha-Numeric
	setid "IWGTXT" , 				3    	 'Alpha
	setid "IWGNUMI" , 			4   	 'Numeric Integer
	setid "IWGNUMF" , 			5   	 'Numeric Float
	setid "IWGHEX" , 				6   	 'Hex
	setid "IWGCOMBO" , 			7   	 'Combobox
	setid "IWGCHECK" ,			8   	 'Checked checkbox
	setid "IWGBUTTON" , 			9  	 'Edit plus button
	setid "IWGMASK" , 			10     'Masked input
	setid "IWGMONEY" , 			11     'Currency input
	setid "IWGLABEL" , 			12     'Label